<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.smartapplication.vcdeviceaccount.mapper.VcDeviceAccountMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="vcDeviceAccountResultMap" type="org.springblade.smartapplication.vcdeviceaccount.entity.VcDeviceAccount">
        <id column="id" property="id"/>
        <result column="account" property="account"/>
        <result column="pwd" property="pwd"/>
        <result column="password" property="password"/>
        <result column="app_key" property="appKey"/>
        <result column="sign_method" property="signMethod"/>
        <result column="format" property="format"/>
        <result column="v" property="v"/>
        <result column="client_info" property="clientInfo"/>
        <result column="token" property="token"/>
        <result column="secret" property="secret"/>
        <result column="pwd_encrypt" property="pwdEncrypt"/>
        <result column="server_ip" property="serverIp"/>
        <result column="server_port" property="serverPort"/>
    </resultMap>


    <select id="selectVcDeviceAccountPage" resultMap="vcDeviceAccountResultMap">
        select * from yc_vc_device_account where is_deleted = 0
    </select>

</mapper>
